// 最简代码，也就是这些字段必须有
export default {
  path: "/draw",
  meta: {
    title: "动态可视化",
    icon: "ri:information-line",
    rank: 4
  },
  children: [
    {
      path: "/draw/index",
      name: "drawIndex",
      meta: {
        title: "专题画像",
        icon: "ep:home-filled"
        // showParent: true
      },
      children: [
        {
          path: "/draw/children/worker/workerDrak",
          name: "workerDrak",
          component: () =>
            import("@/views/draw/children/worker/workerDrak.vue"),
          meta: {
            title: "员工画像",
            showParent: true
          }
        },
        {
          path: "/draw/children/worker/workerRank",
          name: "workerRank",
          component: () =>
            import("@/views/draw/children/worker/workerRank.vue"),
          meta: {
            title: "员工排行榜",
            showParent: true
          }
        },
        {
          path: "/draw/children/department/departmentDrank",
          name: "departmentDrank",
          component: () =>
            import("@/views/draw/children/department/departmentDrank.vue"),
          meta: {
            title: "科室画像",
            showParent: true
          }
        },
        {
          path: "/draw/children/department/departmentRank",
          name: "departmentRank",
          component: () =>
            import("@/views/draw/children/department/departmentRank.vue"),
          meta: {
            title: "科室排行榜",
            showParent: true
          }
        },
        {
          path: "/draw/children/head/headDrank",
          name: "headDrank",
          component: () => import("@/views/draw/children/head/headDrank.vue"),
          meta: {
            title: "科室主任画像",
            showParent: true
          }
        },
        {
          path: "/draw/children/head/headRank",
          name: "headRank",
          component: () => import("@/views/draw/children/head/headRank.vue"),
          meta: {
            title: "科室主任排行榜",
            showParent: true
          }
        },
        {
          path: "/draw/children/health/healthDrank",
          name: "healthDrank",
          component: () =>
            import("@/views/draw/children/health/healthDrank.vue"),
          meta: {
            title: "医疗组画像",
            showParent: true
          }
        },
        {
          path: "/draw/children/health/healthRank",
          name: "healthRank",
          component: () =>
            import("@/views/draw/children/health/healthRank.vue"),
          meta: {
            title: "医疗组排行榜",
            showParent: true
          }
        }
      ]
    }
  ]
} satisfies RouteConfigsTable;
